<?php
/**
 * Social Share Settings.
 *
 * @package United Blog
 **/
$default = united_blog_get_default_theme_options();

// Layout Section.
$wp_customize->add_section('social_share',
    array(
        'title' => esc_html__('Social Share Settings', 'united-blog'),
        'capability' => 'edit_theme_options',
        'panel' => 'theme_general_panel',
    )
);

$wp_customize->add_setting('enable_social_share',
    array(
        'default' => $default['enable_social_share'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_social_share',
    array(
        'label' => esc_html__('Enable Social Share', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_facebook',
    array(
        'default' => $default['enable_facebook'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_facebook',
    array(
        'label' => esc_html__('Enable Facebook', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_twitter',
    array(
        'default' => $default['enable_twitter'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_twitter',
    array(
        'label' => esc_html__('Enable Twitter', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_pinterest',
    array(
        'default' => $default['enable_pinterest'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_pinterest',
    array(
        'label' => esc_html__('Enable Pinterest', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_linkedin',
    array(
        'default' => $default['enable_linkedin'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_linkedin',
    array(
        'label' => esc_html__('Enable LinkedIn', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_telegram',
    array(
        'default' => $default['enable_telegram'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_telegram',
    array(
        'label' => esc_html__('Enable Telegram', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_reddit',
    array(
        'default' => $default['enable_reddit'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_reddit',
    array(
        'label' => esc_html__('Enable Reddit', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);


$wp_customize->add_setting('enable_whatsapp',
    array(
        'default' => $default['enable_whatsapp'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_whatsapp',
    array(
        'label' => esc_html__('Enable Whatsapp', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);



$wp_customize->add_setting('enable_email',
    array(
        'default' => $default['enable_email'],
        'sanitize_callback' => 'united_blog_sanitize_checkbox',
    )
);
$wp_customize->add_control('enable_email',
    array(
        'label' => esc_html__('Enable Email', 'united-blog'),
        'section' => 'social_share',
        'type' => 'checkbox',
    )
);